Bug 1595450

Summary: Quadicons in tagging screens should not be clickable
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: UI - OPSAssignee: Martin Povolny <mpovolny>
Status: CLOSED ERRATA QA Contact: Matouš Mojžíš <mmojzis>
Severity: high Docs Contact:
Priority: high    
Version: 5.9.0CC: cpelland, hkataria, lavenel, mmojzis, mpovolny, obarenbo
Target Milestone: GAKeywords: ZStream
Target Release: 5.9.4   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ui
Fixed In Version: 5.9.4.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1593394 Environment:
Last Closed: 2018-09-04 18:00:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core Target Upstream Version:
Bug Depends On: 1593394    
Bug Blocks:    

Comment 2 CFME Bot 2018-07-11 15:32:26 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/1e7953c120772f07900e6f586fec093882042ad1
commit 1e7953c120772f07900e6f586fec093882042ad1
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Fri Jun 22 07:17:11 2018 -0400
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Fri Jun 22 07:17:11 2018 -0400

    Merge pull request #4179 from skateman/no-clickable-tag-policy

    Make policy assignment, simulation and tagging quads non-clickable
    (cherry picked from commit 8c64aa33eb0a10ba95bc9752022fecac479676d0)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1595450

 app/assets/stylesheets/patternfly_overrides.scss | 2 +-
 app/controllers/application_controller/policy_support.rb | 4 +-
 app/controllers/application_controller/tags.rb | 2 +-
 app/helpers/gtl_helper.rb | 2 +-
 spec/controllers/storage_controller_spec.rb | 28 +-
 spec/controllers/vm_infra_controller_spec.rb | 30 +
 6 files changed, 62 insertions(+), 6 deletions(-)

Comment 3 Matouš Mojžíš 2018-07-15 15:43:30 UTC
Verified in 5.9.4.0. Quadicons being tagged are not clickable anymore.

Comment 4 Matouš Mojžíš 2018-07-15 15:45:04 UTC
But when I mouse over them link url is still displayed. This should be fixed too I think?

Comment 6 errata-xmlrpc 2018-09-04 18:00:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561